// no "#pragma once" since this file is also included from OpenCL

#ifndef SETTINGS_H
#define SETTINGS_H


/**
	\file
	\brief Contains macros defining settings shared between C++ and OpenCL.
*/




/*==============================================================================
	global settings macros
==============================================================================*/


#ifndef SETTING_OPENCL
#define SETTING_OPENCL 1
#endif    // SETTING_OPENCL


#ifndef SETTING_MIPMAP
#define SETTING_MIPMAP 1
#endif    // SETTING_MIPMAP


#ifndef SETTING_TRACE_STACK_SIZE
#define SETTING_TRACE_STACK_SIZE 16
#endif    // SETTING_TRACE_STACK_SIZE




/*==============================================================================
	global macros
==============================================================================*/


#if ( SETTING_OPENCL != 0 )
#define OPENCL_NULL -1
#endif    // SETTING_OPENCL




#endif    // SETTINGS_H
